Subject: Re: [PATCH 1/5] ci: reorder definitions for grouping functions

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 27 Oct 2023 10:17:21 +0200

On Thu, Oct 26, 2023 at 10:26:07AM +0200, Oswald Buddenhagen wrote:
> On Thu, Oct 26, 2023 at 10:00:03AM +0200, Patrick Steinhardt wrote:
> > [...]
> > _not_ being GitLab Actions, where we define the non-stub logic in the
> > 
> you meant GitHub here.
> 
> > else branch.
> > 
> > Reorder the definitions such that we explicitly handle GitHub Actions.
> > 
> i'd say something like "the conditional branches". imo that makes it clearer
> that you're actually talking about code, not some markup or whatever.
> for that matter, this is my overall impression of the commit message - it
> seems way too detached from the near-trivial fact that you're just slightly
> adjusting the code structure to make it easier to implement a cascade (aka a
> switch).
> 
> regards

The change is trivial indeed, but even a trivial change needs a reason
why it should be done. Maybe it's too long, maybe it isn't... I'm happy
to take suggestions.

But anyway, I've adopted both of the other two suggestions you made,
thanks.

Patrick